---
name: "google document"
description: >-
  This mode is used when editing and commenting Google Docs.
  See the 
  <a href="https://support.google.com/docs/answer/179738">keyboard shortcuts</a>.
initiallyActive: false
exclusive: false
commands:
  - name: "add new comment"
    description: >-
      Add a new comment for the select text.
    functions:
      - name: "keyPress"
        fixedArguments:
          - "control"
          - "alt"
          - "m"
  - name: "go to comment"
    description: >-
      Go to the comment for the highlighted text at the cursor.
    functions:
      - name: "keyHold"
        fixedArguments:
          - "control"
      - name: "keyHold"
        fixedArguments:
          - "alt"
      - name: "keyPress"
        fixedArguments:
          - "e"
      - name: "keyPress"
        fixedArguments:
          - "c"
      - name: "keyRelease"
        fixedArguments:
          - "control"
      - name: "keyRelease"
        fixedArguments:
          - "alt"
  - name: "show comment history"
    description: >-
      Show the comment history for the document.
    functions:
      - name: "keyHold"
        fixedArguments:
          - "control"
      - name: "keyHold"
        fixedArguments:
          - "shift"
      - name: "keyHold"
        fixedArguments:
          - "alt"
      - name: "keyPress"
        fixedArguments:
          - "a"
      - name: "keyRelease"
        fixedArguments:
          - "control"
      - name: "keyRelease"
        fixedArguments:
          - "shift"
      - name: "keyRelease"
        fixedArguments:
          - "alt"
  - name: "prior comment"
    description: >-
      Jump to the prior comment.
    functions:
      - name: "keyHold"
        fixedArguments:
          - "control"
      - name: "keyHold"
        fixedArguments:
          - "alt"
      - name: "keyPress"
        fixedArguments:
          - "p"
      - name: "keyPress"
        fixedArguments:
          - "c"
      - name: "keyRelease"
        fixedArguments:
          - "control"
      - name: "keyRelease"
        fixedArguments:
          - "alt"
  - name: "next comment"
    description: >-
      Jump to the next comment.
    functions:
      - name: "keyHold"
        fixedArguments:
          - "control"
      - name: "keyHold"
        fixedArguments:
          - "alt"
      - name: "keyPress"
        fixedArguments:
          - "n"
      - name: "keyPress"
        fixedArguments:
          - "c"
      - name: "keyRelease"
        fixedArguments:
          - "control"
      - name: "keyRelease"
        fixedArguments:
          - "alt"
